Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch::

  Foren auf CAD.de (alle Foren)
  CATIA V5 Programmierung
  Inputbox-Wert in Formel einfügen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Inputbox-Wert in Formel einfügen (822 mal gelesen)
Syphield
Mitglied
Konstrukteur


Sehen Sie sich das Profil von Syphield an!   Senden Sie eine Private Message an Syphield  Schreiben Sie einen Gästebucheintrag für Syphield

Beiträge: 46
Registriert: 02.10.2007

Win 7 Pro x64; Intel i7-3840QM @2,79GHz; 16GB RAM; Nvidia Quadro K5000M; CATIA V5 R19 x64 SP9 Hotfix 49

erstellt am: 30. Jun. 2009 07:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

wie füge ich einen Wert aus der Inputbox in eine Formel ein ???
Habe das bisher so versucht:

-------------------------------------------------------------------------------------------------------------------

Sub CATMain()

      Set partDocument1 = CATIA.ActiveDocument
      Set part1 = partDocument1.Part
      Eingabe = InputBox ("Länge eingeben.", Eingabe)

      Set relations1 = part1.Relations
      Set parameters1 = part1.Parameters
      Set length1 = parameters1.Item ("Offset Leiste")
      Set formula1 = relations1.CreateFormula("Formel.10", "", length1, "( & Eingabe  /2 - `Breite` ) -1mm")
      formula1.Rename "Formel.10"

    part1.Update

End Sub

-------------------------------------------------------------------------------------------------------------------


Was ist da falsch ?!


Gruß
Alex

------------------
Never stop progress !

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tomtom1972
Mitglied
dipl ing maschinenbau


Sehen Sie sich das Profil von tomtom1972 an!   Senden Sie eine Private Message an tomtom1972  Schreiben Sie einen Gästebucheintrag für tomtom1972

Beiträge: 546
Registriert: 22.03.2005

erstellt am: 30. Jun. 2009 07:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Syphield 10 Unities + Antwort hilfreich


Hallo,

ohne mir das näher anzusehen. Das hier:
Set formula1 = relations1.CreateFormula("Formel.10", "", length1, "( & Eingabe  /2 - `Breite` ) -1mm")
kann schon gar nicht stimmen.
Gruß

------------------
tomtom1972

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Syphield
Mitglied
Konstrukteur


Sehen Sie sich das Profil von Syphield an!   Senden Sie eine Private Message an Syphield  Schreiben Sie einen Gästebucheintrag für Syphield

Beiträge: 46
Registriert: 02.10.2007

Win 7 Pro x64; Intel i7-3840QM @2,79GHz; 16GB RAM; Nvidia Quadro K5000M; CATIA V5 R19 x64 SP9 Hotfix 49

erstellt am: 30. Jun. 2009 07:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ja danke für die schnelle Antwort.
Aber das hab ich selbst auch schon rausgekriegt !!! (Daher ja der thread) 

Wie kann ich die "Eingabe" dann in die Formel bringen ?

------------------
Never stop progress !

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

zoltan.bekesi
Mitglied



Sehen Sie sich das Profil von zoltan.bekesi an!   Senden Sie eine Private Message an zoltan.bekesi  Schreiben Sie einen Gästebucheintrag für zoltan.bekesi

Beiträge: 321
Registriert: 22.10.2006

Job:
CATIA V5R19 / XP 32bit
MS Office 2003
Microstation V8 2004 Edition
DELL Precision M6300

erstellt am: 30. Jun. 2009 19:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Syphield 10 Unities + Antwort hilfreich

Hallo Alex,

versuche mal die letzen 2 Zeilen wie folgt zu ändern:

Code:
Set formula1 = relations1.CreateFormula("Formel.10", "", length1, "( " & Eingabe & " /2 - `Breite` ) -1mm")
'      formula1.Rename "Formel.10"

In den ersten musst du mit den Anführungszeichen aufpassen. Text gehört unter Anführungszeichen, Variable (z.B. Wert aus Eingabe) nicht. Die Textteile sind mit den "&" Operatoren zusammenzufassen.
Die letzte Zeile brauchst du nicht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Syphield
Mitglied
Konstrukteur


Sehen Sie sich das Profil von Syphield an!   Senden Sie eine Private Message an Syphield  Schreiben Sie einen Gästebucheintrag für Syphield

Beiträge: 46
Registriert: 02.10.2007

erstellt am: 01. Jul. 2009 06:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Jaaaaaaaaaaaa !!!

muß also ein zweites "&" rein. Mann Mann Mann...

Vielen Dank !     

------------------
Never stop progress !

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2014 CAD.de